Bug 1150669 - grub2 not automatically selected during installation
grub2 not automatically selected during installation
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P1 - Urgent : Normal (vote)
: ---
Assigned To: Ludwig Nussel
Jiri Srain
https://openqa.opensuse.org/tests/103...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-13 09:04 UTC by Ludwig Nussel
Modified: 2019-09-13 12:47 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2019-09-13 09:04:52 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-btrfs@64bit fails in
[disable_grub_timeout](https://openqa.opensuse.org/tests/1030965/modules/disable_grub_timeout/steps/12)

Due to changes in patterns grub2 is not pulled in unconditionally anymore. Looks like yast2-bootloader knows that it needs grub2 but doesn't install it but rather only gives a hint. Any reason for that and can it be changed to just install the anyways required package?
Comment 1 Josef Reidinger 2019-09-13 11:01:38 UTC
Ludwig - bootloader still do the same thing. It is in PackagesProposal

Lada - any idea why it is not selected?

2019-09-12 09:43:33 <1> install(3409) [Ruby] modules/Packages.rb:2009 PackagesProposal has been changed: false
2019-09-12 09:43:33 <0> install(3409) [Ruby] modules/Packages.rb:2010 PackagesProposal: $[`package:["NetworkManager", "btrfsprogs", "e2fsprogs", "firewalld", "grub2", "kexec-tools", "snapper"]] -> $[`package:["NetworkManager", "btrfsprogs", "e2fsprogs", "firewalld", "grub2", "kexec-tools", "snapper"]]
Comment 2 Ludwig Nussel 2019-09-13 12:04:32 UTC
package is no on the DVD. our fault. Sorry for bothering you guys!
Comment 3 Ludwig Nussel 2019-09-13 12:47:54 UTC
https://build.opensuse.org/request/show/730711